;InnoSetupVersion=4.0.5

[Setup]
AppName=VIF Archiver SE
AppVerName=VIF Archiver SE 1.03
AppId=VIF Archiver SE
AppVersion=1.03
AppPublisher=softcat.org
AppPublisherURL=http://www.softcat.org
AppSupportURL=http://www.softcat.org
AppUpdatesURL=http://www.softcat.org
DefaultDirName={pf}\VIFArchiver
DefaultGroupName=VIF Archiver
OutputBaseFilename=VIFArchiverSetup
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.rtf
InfoAfterFile=embedded\InfoAfter.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\VIFArchiverSE.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ZipDll.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\UnzDll.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\unreg.reg"; DestDir: "{app}"; 
Source: "{app}\lizenz.txt"; DestDir: "{app}"; 
Source: "{app}\hilfe.chm"; DestDir: "{app}"; 
Source: "{app}\newsletter.url"; DestDir: "{app}"; 
Source: "{app}\homepage.url"; DestDir: "{app}"; 

[Registry]
Root: HKCU; Subkey: "Software\softcat.org\VIFArchiver\1.0"; Flags: uninsdeletekey 

[Run]
Filename: "{app}\VIFArchiverSE.exe"; Description: "VIF Archiver SE starten"; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{win}\regedit.exe"; Parameters: "/S {app}\unreg.reg"; 

[Icons]
Name: "{group}\VIF Archiver SE"; Filename: "{app}\VIFArchiverSE.exe"; WorkingDir: "{app}"; 
Name: "{group}\VIF Archiver SE Hilfe"; Filename: "{app}\hilfe.chm"; WorkingDir: "{app}"; 
Name: "{userdesktop}\VIF Archiver SE"; Filename: "{app}\VIFArchiverSE.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 
Name: "{userdesktop}\Jetzt archivieren"; Filename: "{app}\VIFArchiverSE.exe"; Parameters: "/archive"; WorkingDir: "{app}"; Tasks: desktopicon; 
Name: "{userdesktop}\Archivieren und Herunterfahren oder Neu starten"; Filename: "{app}\VIFArchiverSE.exe"; Parameters: "/archive /askreboot"; WorkingDir: "{app}"; Tasks: desktopicon; 
Name: "{group}\Jetzt archivieren"; Filename: "{app}\VIFArchiverSE.exe"; Parameters: "/archive"; WorkingDir: "{app}"; 
Name: "{group}\Archivieren und Herunterfahren oder Neu starten"; Filename: "{app}\VIFArchiverSE.exe"; Parameters: "/archive /askreboot"; WorkingDir: "{app}"; Tasks: desktopicon; 
Name: "{group}\Homepage besuchen"; Filename: "{app}\homepage.url"; 
Name: "{group}\In Newsletter eintragen"; Filename: "{app}\newsletter.url"; 

[Tasks]
Name: "desktopicon"; Description: "&Desktop Icons erstellen"; GroupDescription: "Icons:"; 

[UninstallDelete]
Type: filesandordirs; Name: "{app}"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
